      subroutine check_pmc_date(date, ievent, iflag)
      implicit none

      character*(*) date
      integer*4  ievent, iflag, month 

      read( date(6:7), '(i2)', ERR=300)  month
      iflag=0

      if( mod(ievent, 2) .eq. 1) then   !sunrise   Northern hemisphere

       if(month .ge. 5 .and. month .le. 8) iflag=1 

      else   !sunset Southern Hemisphere

       if(month .ge. 11 .or. month .le. 2) iflag=1

      endif
      return

 300  stop 'STOP: check_pmc_date: invalid date string'

      end
